/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.nachrichten.postfach.bayernid.proxy.message;

import java.util.Collections;
import java.util.List;

import de.ozgcloud.nachrichten.postfach.bayernid.proxy.message.BayernIdMessage.BayernIdMessageBuilder;

public class BayernIdMessageTestFactory {

	public static final String MESSAGE_ID = "messageId";
	public static final String CREATED_AT = "2021-01-01T00:00:00Z";
	public static final String VORGANG_ID = "vorgangId";
	public static final String SUBJECT = "subject";
	public static final String STORK_QAA_LEVEL = "LEVEL_1";
	public static final String TEXT = "text";

	public static BayernIdMessage create() {
		return createBuilder().build();
	}

	public static BayernIdMessageBuilder createBuilder() {
		return BayernIdMessage.builder()
				.messageId(MESSAGE_ID)
				.createdAt(CREATED_AT)
				.vorgangId(VORGANG_ID)
				.subject(SUBJECT)
				.storkQaaLevel(STORK_QAA_LEVEL)
				.text(TEXT)
				.empfaenger(EmpfaengerTestFactory.create())
				.absender(AbsenderTestFactory.create())
				.attachments(List.of(AttachmentTestFactory.create()));
	}

}
